%EXAMPLEOPTIMIZATION Compute optimal directions to measure new BRDF and
%save them to files in directory 'directions'
%
%  EXAMPLEOPTIMIZATION(Q, MASKMAP, MASKMAPLIMITED) computes optimal
%  directions to measure new BRDF, based on weighted principal components Q
%  allowing to select any direction not masked by MASKMAPLIMITED.
%  Directions are saved to directory 'directions'.
%  
%  Radomir Vavra and Jiri Filip: Minimal Sampling
%  for Effective Acquisition of Anisotropic BRDFs.
%  Pacific Graphics 2016.
%
function exampleOptimization(Q, MaskMap, MaskMapLimited)

for i = 1:20
    computeOptimalDirections(Q, i, MaskMap, MaskMapLimited, 'directions');
end
